com.sun.syndication.feed.module

## Interface DCModule

All Superinterfaces:
  java.lang.Cloneable, CopyFrom, Module, java.io.Serializable

All Known Implementing Classes:
  DCModuleImpl

    public interface DCModule
    extends Module, CopyFrom

Dublin Core Module.

See Also:
  Dublin Core module.

### Field Summary

Fields
`static java.lang.String` `URI` URI of the Dublin Core Module (http://purl.org/dc/elements/1.1/).

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getContributor()` Gets the DublinCore module contributor.
`java.util.List` `getContributors()` Returns the DublinCore module contributor.
`java.lang.String` `getCoverage()` Gets the DublinCore module coverage.
`java.util.List` `getCoverages()` Returns the DublinCore module coverage.
`java.lang.String` `getCreator()` Gets the DublinCore module creator.
`java.util.List` `getCreators()` Returns the DublinCore module creator.
`java.util.Date` `getDate()` Gets the DublinCore module date.
`java.util.List` `getDates()` Returns the DublinCore module date.
`java.lang.String` `getDescription()` Gets the DublinCore module description.
`java.util.List` `getDescriptions()` Returns the DublinCore module description.
`java.lang.String` `getFormat()` Gets the DublinCore module format.
`java.util.List` `getFormats()` Returns the DublinCore module format.
`java.lang.String` `getIdentifier()` Gets the DublinCore module identifier.
`java.util.List` `getIdentifiers()` Returns the DublinCore module identifier.
`java.lang.String` `getLanguage()` Gets the DublinCore module language.
`java.util.List` `getLanguages()` Returns the DublinCore module language.
`java.lang.String` `getPublisher()` Gets the DublinCore module publisher.
`java.util.List` `getPublishers()` Returns the DublinCore module publisher.
`java.lang.String` `getRelation()` Gets the DublinCore module relation.
`java.util.List` `getRelations()` Returns the DublinCore module relation.
`java.lang.String` `getRights()` Gets the DublinCore module right.
`java.util.List` `getRightsList()` Returns the DublinCore module rights.
`java.lang.String` `getSource()` Gets the DublinCore module subject.
`java.util.List` `getSources()` Returns the DublinCore module source.
`DCSubject` `getSubject()` Gets the DublinCore module subject.
`java.util.List` `getSubjects()` Returns the DublinCore module subjects.
`java.lang.String` `getTitle()` Gets the DublinCore module title.
`java.util.List` `getTitles()` Returns the DublinCore module titles.
`java.lang.String` `getType()` Gets the DublinCore module type.
`java.util.List` `getTypes()` Returns the DublinCore module type.
`void` `setContributor(java.lang.String contributor)` Sets the DublinCore module contributor.
`void` `setContributors(java.util.List contributors)` Sets the DublinCore module contributors.
`void` `setCoverage(java.lang.String coverage)` Sets the DublinCore module coverage.
`void` `setCoverages(java.util.List coverages)` Sets the DublinCore module coverages.
`void` `setCreator(java.lang.String creator)` Sets the DublinCore module creator.
`void` `setCreators(java.util.List creators)` Sets the DublinCore module creators.
`void` `setDate(java.util.Date date)` Sets the DublinCore module date.
`void` `setDates(java.util.List dates)` Sets the DublinCore module dates.
`void` `setDescription(java.lang.String description)` Sets the DublinCore module description.
`void` `setDescriptions(java.util.List descriptions)` Sets the DublinCore module descriptions.
`void` `setFormat(java.lang.String format)` Sets the DublinCore module format.
`void` `setFormats(java.util.List formats)` Sets the DublinCore module formats.
`void` `setIdentifier(java.lang.String identifier)` Sets the DublinCore module identifier.
`void` `setIdentifiers(java.util.List identifiers)` Sets the DublinCore module identifiers.
`void` `setLanguage(java.lang.String language)` Sets the DublinCore module language.
`void` `setLanguages(java.util.List languages)` Sets the DublinCore module languages.
`void` `setPublisher(java.lang.String publisher)` Sets the DublinCore module publisher.
`void` `setPublishers(java.util.List publishers)` Sets the DublinCore module publishers.
`void` `setRelation(java.lang.String relation)` Sets the DublinCore module relation.
`void` `setRelations(java.util.List relations)` Sets the DublinCore module relations.
`void` `setRights(java.lang.String rights)` Sets the DublinCore module rights.
`void` `setRightsList(java.util.List rights)` Sets the DublinCore module rightss.
`void` `setSource(java.lang.String source)` Sets the DublinCore module source.
`void` `setSources(java.util.List sources)` Sets the DublinCore module sources.
`void` `setSubject(DCSubject subject)` Sets the DCSubject element.
`void` `setSubjects(java.util.List subjects)` Sets the DublinCore module subjects.
`void` `setTitle(java.lang.String title)` Sets the DublinCore module title.
`void` `setTitles(java.util.List titles)` Sets the DublinCore module titles.
`void` `setType(java.lang.String type)` Sets the DublinCore module type.
`void` `setTypes(java.util.List types)` Sets the DublinCore module types.

### Methods inherited from interface com.sun.syndication.feed.module.Module

`clone, getUri`

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Field Detail

#### URI

    static final java.lang.String URI

URI of the Dublin Core Module (http://purl.org/dc/elements/1.1/).

See Also:
  Constant Field Values

### Method Detail

#### getTitles

    java.util.List getTitles()

Returns the DublinCore module titles.

Returns:
  a list of Strings representing the DublinCore module title, an empty list if none.

#### setTitles

    void setTitles(java.util.List titles)

Sets the DublinCore module titles.

Parameters:
  `titles` - the list of String representing the DublinCore module titles to set, an empty list or null if none.

#### getTitle

    java.lang.String getTitle()

Gets the DublinCore module title. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module title, null if none.

#### setTitle

    void setTitle(java.lang.String title)

Sets the DublinCore module title. Convenience method that can be used when there is only one title to set.

Parameters:
  `title` - the DublinCore module title to set, null if none.

#### getCreators

    java.util.List getCreators()

Returns the DublinCore module creator.

Returns:
  a list of Strings representing the DublinCore module creator, an empty list if none.

#### setCreators

    void setCreators(java.util.List creators)

Sets the DublinCore module creators.

Parameters:
  `creators` - the list of String representing the DublinCore module creators to set, an empty list or null if none.

#### getCreator

    java.lang.String getCreator()

Gets the DublinCore module creator. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module creator, null if none.

#### setCreator

    void setCreator(java.lang.String creator)

Sets the DublinCore module creator. Convenience method that can be used when there is only one creator to set.

Parameters:
  `creator` - the DublinCore module creator to set, null if none.

#### getSubjects

    java.util.List getSubjects()

Returns the DublinCore module subjects.

Returns:
  a list of DCSubject elements with the DublinCore module subjects, an empty list if none.

#### setSubjects

    void setSubjects(java.util.List subjects)

Sets the DublinCore module subjects.

Parameters:
  `subjects` - the list of DCSubject elements with the DublinCore module subjects to set, an empty list or null if none.

#### getSubject

    DCSubject getSubject()

Gets the DublinCore module subject. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module subject, null if none.

#### setSubject

    void setSubject(DCSubject subject)

Sets the DCSubject element. Convenience method that can be used when there is only one subject to set.

Parameters:
  `subject` - the DublinCore module subject to set, null if none.

#### getDescriptions

    java.util.List getDescriptions()

Returns the DublinCore module description.

Returns:
  a list of Strings representing the DublinCore module description, an empty list if none.

#### setDescriptions

    void setDescriptions(java.util.List descriptions)

Sets the DublinCore module descriptions.

Parameters:
  `descriptions` - the list of String representing the DublinCore module descriptions to set, an empty list or null if none.

#### getDescription

    java.lang.String getDescription()

Gets the DublinCore module description. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module description, null if none.

#### setDescription

    void setDescription(java.lang.String description)

Sets the DublinCore module description. Convenience method that can be used when there is only one description to set.

Parameters:
  `description` - the DublinCore module description to set, null if none.

#### getPublishers

    java.util.List getPublishers()

Returns the DublinCore module publisher.

Returns:
  a list of Strings representing the DublinCore module publisher, an empty list if none.

#### setPublishers

    void setPublishers(java.util.List publishers)

Sets the DublinCore module publishers.

Parameters:
  `publishers` - the list of String representing the DublinCore module publishers to set, an empty list or null if none.

#### getPublisher

    java.lang.String getPublisher()

Gets the DublinCore module publisher. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module publisher, null if none.

#### setPublisher

    void setPublisher(java.lang.String publisher)

Sets the DublinCore module publisher. Convenience method that can be used when there is only one publisher to set.

Parameters:
  `publisher` - the DublinCore module publisher to set, null if none.

#### getContributors

    java.util.List getContributors()

Returns the DublinCore module contributor.

Returns:
  a list of Strings representing the DublinCore module contributor, an empty list if none.

#### setContributors

    void setContributors(java.util.List contributors)

Sets the DublinCore module contributors.

Parameters:
  `contributors` - the list of String representing the DublinCore module contributors to set, an empty list or null if none.

#### getContributor

    java.lang.String getContributor()

Gets the DublinCore module contributor. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module contributor, null if none.

#### setContributor

    void setContributor(java.lang.String contributor)

Sets the DublinCore module contributor. Convenience method that can be used when there is only one contributor to set.

Parameters:
  `contributor` - the DublinCore module contributor to set, null if none.

#### getDates

    java.util.List getDates()

Returns the DublinCore module date.

Returns:
  a list of Strings representing the DublinCore module date, an empty list if none.

#### setDates

    void setDates(java.util.List dates)

Sets the DublinCore module dates.

Parameters:
  `dates` - the list of Date representing the DublinCore module dates to set, an empty list or null if none.

#### getDate

    java.util.Date getDate()

Gets the DublinCore module date. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module date, null if none.

#### setDate

    void setDate(java.util.Date date)

Sets the DublinCore module date. Convenience method that can be used when there is only one date to set.

Parameters:
  `date` - the DublinCore module date to set, null if none.

#### getTypes

    java.util.List getTypes()

Returns the DublinCore module type.

Returns:
  a list of Strings representing the DublinCore module type, an empty list if none.

#### setTypes

    void setTypes(java.util.List types)

Sets the DublinCore module types.

Parameters:
  `types` - the list of String representing the DublinCore module types to set, an empty list or null if none.

#### getType

    java.lang.String getType()

Gets the DublinCore module type. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module type, null if none.

#### setType

    void setType(java.lang.String type)

Sets the DublinCore module type. Convenience method that can be used when there is only one type to set.

Parameters:
  `type` - the DublinCore module type to set, null if none.

#### getFormats

    java.util.List getFormats()

Returns the DublinCore module format.

Returns:
  a list of Strings representing the DublinCore module format, an empty list if none.

#### setFormats

    void setFormats(java.util.List formats)

Sets the DublinCore module formats.

Parameters:
  `formats` - the list of String representing the DublinCore module formats to set, an empty list or null if none.

#### getFormat

    java.lang.String getFormat()

Gets the DublinCore module format. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module format, null if none.

#### setFormat

    void setFormat(java.lang.String format)

Sets the DublinCore module format. Convenience method that can be used when there is only one format to set.

Parameters:
  `format` - the DublinCore module format to set, null if none.

#### getIdentifiers

    java.util.List getIdentifiers()

Returns the DublinCore module identifier.

Returns:
  a list of Strings representing the DublinCore module identifier, an empty list if none.

#### setIdentifiers

    void setIdentifiers(java.util.List identifiers)

Sets the DublinCore module identifiers.

Parameters:
  `identifiers` - the list of String representing the DublinCore module identifiers to set, an empty list or null if none.

#### getIdentifier

    java.lang.String getIdentifier()

Gets the DublinCore module identifier. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module identifier, null if none.

#### setIdentifier

    void setIdentifier(java.lang.String identifier)

Sets the DublinCore module identifier. Convenience method that can be used when there is only one identifier to set.

Parameters:
  `identifier` - the DublinCore module identifier to set, null if none.

#### getSources

    java.util.List getSources()

Returns the DublinCore module source.

Returns:
  a list of Strings representing the DublinCore module source, an empty list if none.

#### setSources

    void setSources(java.util.List sources)

Sets the DublinCore module sources.

Parameters:
  `sources` - the list of String representing the DublinCore module sources to set, an empty list or null if none.

#### getSource

    java.lang.String getSource()

Gets the DublinCore module subject. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module creator, null if none.

#### setSource

    void setSource(java.lang.String source)

Sets the DublinCore module source. Convenience method that can be used when there is only one source to set.

Parameters:
  `source` - the DublinCore module source to set, null if none.

#### getLanguages

    java.util.List getLanguages()

Returns the DublinCore module language.

Returns:
  a list of Strings representing the DublinCore module language, an empty list if none.

#### setLanguages

    void setLanguages(java.util.List languages)

Sets the DublinCore module languages.

Parameters:
  `languages` - the list of String representing the DublinCore module languages to set, an empty list or null if none.

#### getLanguage

    java.lang.String getLanguage()

Gets the DublinCore module language. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module language, null if none.

#### setLanguage

    void setLanguage(java.lang.String language)

Sets the DublinCore module language. Convenience method that can be used when there is only one language to set.

Parameters:
  `language` - the DublinCore module language to set, null if none.

#### getRelations

    java.util.List getRelations()

Returns the DublinCore module relation.

Returns:
  a list of Strings representing the DublinCore module relation, an empty list if none.

#### setRelations

    void setRelations(java.util.List relations)

Sets the DublinCore module relations.

Parameters:
  `relations` - the list of String representing the DublinCore module relations to set, an empty list or null if none.

#### getRelation

    java.lang.String getRelation()

Gets the DublinCore module relation. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module relation, null if none.

#### setRelation

    void setRelation(java.lang.String relation)

Sets the DublinCore module relation. Convenience method that can be used when there is only one relation to set.

Parameters:
  `relation` - the DublinCore module relation to set, null if none.

#### getCoverages

    java.util.List getCoverages()

Returns the DublinCore module coverage.

Returns:
  a list of Strings representing the DublinCore module coverage, an empty list if none.

#### setCoverages

    void setCoverages(java.util.List coverages)

Sets the DublinCore module coverages.

Parameters:
  `coverages` - the list of String representing the DublinCore module coverages to set, an empty list or null if none.

#### getCoverage

    java.lang.String getCoverage()

Gets the DublinCore module coverage. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module coverage, null if none.

#### setCoverage

    void setCoverage(java.lang.String coverage)

Sets the DublinCore module coverage. Convenience method that can be used when there is only one coverage to set.

Parameters:
  `coverage` - the DublinCore module coverage to set, null if none.

#### getRightsList

    java.util.List getRightsList()

Returns the DublinCore module rights.

Returns:
  a list of Strings representing the DublinCore module rights, an empty list if none.

#### setRightsList

    void setRightsList(java.util.List rights)

Sets the DublinCore module rightss.

Parameters:
  `rights` - the list of String representing the DublinCore module rights to set, an empty list or null if none.

#### getRights

    java.lang.String getRights()

Gets the DublinCore module right. Convenience method that can be used to obtain the first item, null if none.

Returns:
  the first DublinCore module right, null if none.

#### setRights

    void setRights(java.lang.String rights)

Sets the DublinCore module rights. Convenience method that can be used when there is only one rights to set.

Parameters:
  `rights` - the DublinCore module rights to set, null if none.